summaryrefslogtreecommitdiffstats
path: root/satellit_upgrader/updater.template.sh
diff options
context:
space:
mode:
authorChristian Rößler2016-12-22 17:29:09 +0100
committerChristian Rößler2016-12-22 17:29:09 +0100
commit3be6c7456009d7ca0d5592901b5f7110b495150f (patch)
tree7b669dacd774d14a30a7376a04626d1e39ef511c /satellit_upgrader/updater.template.sh
parent[SSUS] php children (lightttpd): dyn. service file [to be tested] (diff)
downloadsetup-scripts-3be6c7456009d7ca0d5592901b5f7110b495150f.tar.gz
setup-scripts-3be6c7456009d7ca0d5592901b5f7110b495150f.tar.xz
setup-scripts-3be6c7456009d7ca0d5592901b5f7110b495150f.zip
[SSUS] php children part tested as snippet ok (as bl-server-3.0-ovf hangs the script))
Diffstat (limited to 'satellit_upgrader/updater.template.sh')
-rw-r--r--satellit_upgrader/updater.template.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/satellit_upgrader/updater.template.sh b/satellit_upgrader/updater.template.sh
index 6ea26f7..758ef34 100644
--- a/satellit_upgrader/updater.template.sh
+++ b/satellit_upgrader/updater.template.sh
@@ -302,7 +302,7 @@ echo "* lighttpd: dynamic php children value"
echo -n "Looking for lighttpd service file..."
if [ -f /lib/systemd/system/lighttpd.service ]; then
# service file found, patching dynamic php children value at system start via patchfile
- if ! grep -q patch_lightdm_phpchildren /lib/systemd/system/lighttpd.service; then
+ if ! grep -q patch_lighttpd_phpchildren /lib/systemd/system/lighttpd.service; then
echo -n " found. Patching service file ... "
sed -i 's#\[Service\]#\[Service\]\nExecStartPre=\-/usr/local/sbin/patch_lighttpd_phpchildren#g' \
/lib/systemd/system/lighttpd.service || perror "Could not patch service file!"
@@ -311,6 +311,8 @@ if [ -f /lib/systemd/system/lighttpd.service ]; then
echo " done."
systemctl daemon-reload
RESTART_LIGHTY=ja
+ else
+ echo " patch_lighttpd_phpchildren entry already there, doing nothing."
fi
else
echo " not found. Doing nothing."